Skip to main content

Retrieve license status

Retrieves the license registration status, providing information about the current state of license activation. Use this to verify whether licenses are properly registered.

HTTP method and endpoint

POST /ipa/serial-number/{serialNumber}/registration-status

Token usage

NetApp Console user token.

Usage notes

Retrieves the license registration status.

Parameters

Name Type In Required Description

serialNumber

string

path

True

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

accountId

string

False

Example request
{
  "accountId": "string"
}

Response

Status: 200, Default Response
Name Type Required Description

status

string

False

statusDescription

string

False

contractEndDate

string

False

contractStartDate

string

False

Example response
{
  "status": "string",
  "statusDescription": "string",
  "contractEndDate": "string",
  "contractStartDate": "string"
}

Response

Status: 4xx, Error response
Name Type Required Description

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "error": "string",
  "message": "string"
}